/*******************************************************************************
 * FoxCheatManager generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class FoxCheatManager extends CheatManager within FoxPC;

exec function AllWeapons()
{
    //return;    
}

exec function AllAmmo()
{
    local FoxWeapon Weap;

    // End:0xBD
    foreach Outer.Pawn.InvManager.InventoryActors(class'FoxWeapon', Weap)
    {
        Weap.SpareAmmoCount = Weap.GetMaxSpareAmmoSize();
        Weap.AmmoUsedCount = 0;        
    }    
    //return;    
}

exec function IA()
{
    InfiniteAmmo();
    //return;    
}

exec function InfiniteAmmo()
{
    local FoxWeapon Weap;

    // End:0x7E
    foreach Outer.Pawn.InvManager.InventoryActors(class'FoxWeapon', Weap)
    {
        Weap.SetInfiniteSpareAmmo();        
    }    
    //return;    
}

exec function IC()
{
    InfiniteClips();
    //return;    
}

exec function InfiniteClips()
{
    local FoxWeapon Weap;

    // End:0x7E
    foreach Outer.Pawn.InvManager.InventoryActors(class'FoxWeapon', Weap)
    {
        Weap.SetInfiniteSpareAmmo();        
    }    
    //return;    
}

exec function sgod()
{
    local FoxSquadInfo MySquad;

    MySquad = FoxTeamInfo(Outer.PlayerReplicationInfo.Team).Squads[Outer.GetSquadNum()];
    // End:0xA9
    if(MySquad != none)
    {
        MySquad.ToggleSquadGod();
    }
    //return;    
}

exec function ChangePlayerStartThresholds(float VisibleEnemyDistThreshold, float VisibleTeammateDistThreshold, float NearByEnemyDistThreshold, float NearByTeammateDistThreshold)
{
    // End:0x7F
    if(VisibleEnemyDistThreshold > float(0))
    {
        FoxGame(Outer.WorldInfo.Game).PSV_Current.VisibleEnemyDistThreshold = VisibleEnemyDistThreshold;
    }
    // End:0xFE
    if(VisibleTeammateDistThreshold > float(0))
    {
        FoxGame(Outer.WorldInfo.Game).PSV_Current.VisibleTeammateDistThreshold = VisibleTeammateDistThreshold;
    }
    // End:0x17D
    if(NearByEnemyDistThreshold > float(0))
    {
        FoxGame(Outer.WorldInfo.Game).PSV_Current.NearByEnemyDistThreshold = NearByEnemyDistThreshold;
    }
    // End:0x1FC
    if(NearByTeammateDistThreshold > float(0))
    {
        FoxGame(Outer.WorldInfo.Game).PSV_Current.NearByTeammateDistThreshold = NearByTeammateDistThreshold;
    }
    //return;    
}

exec function ChangePlayerStartAdjustments(float NearByTeammateAdjustment, float VisibleTeammateAdjustment, float NearByEnemyAdjustment, float VisibleEnemyAdjustment)
{
    // End:0x7F
    if(NearByTeammateAdjustment > float(0))
    {
        FoxGame(Outer.WorldInfo.Game).PSV_Current.NearByTeammateAdjustment = NearByTeammateAdjustment;
    }
    // End:0xFE
    if(VisibleTeammateAdjustment > float(0))
    {
        FoxGame(Outer.WorldInfo.Game).PSV_Current.VisibleTeammateAdjustment = VisibleTeammateAdjustment;
    }
    // End:0x17D
    if(NearByEnemyAdjustment > float(0))
    {
        FoxGame(Outer.WorldInfo.Game).PSV_Current.NearByEnemyAdjustment = NearByEnemyAdjustment;
    }
    // End:0x1FC
    if(VisibleEnemyAdjustment > float(0))
    {
        FoxGame(Outer.WorldInfo.Game).PSV_Current.VisibleEnemyAdjustment = VisibleEnemyAdjustment;
    }
    //return;    
}

exec function ResetPSV()
{
    FoxGame(Outer.WorldInfo.Game).PSV_Current = FoxGame(Outer.WorldInfo.Game).default.PSV_Current;
    //return;    
}
